Bug 1420218 - [DOC] Have a separate section in GNFS for client side to configure firewalld to add ports
Summary: [DOC] Have a separate section in GNFS for client side to configure firewalld ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Chandrakanth Pai
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1503141
TreeView+ depends on / blocked
 
Reported: 2017-02-08 08:42 UTC by Manisha Saini
Modified: 2018-09-10 15:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-10 15:37:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Manisha Saini 2017-02-08 08:42:36 UTC
Document URL: 


Section Number and Name: 

Describe the issue: 

Currently we have a section in NFS GANESHA to configure firewalld to add required ports.

We need the firewalld settings for GNFS too.
So either make the client firewalld settings global for GNFS and NFS-Ganesha.Or add a seperate section in GNFS for client side firewalld port configuration


Following ports needs to be added in client side for GNFS


On the GNFS-Clinet machine, configure firewalld to add ports used by statd, nlm and portmapper services by executing the following commands:

    # firewall-cmd --zone=public --add-port=662/tcp --add-port=662/udp \
    --add-port=32803/tcp --add-port=32769/udp \ --add-port=111/tcp --add-port=111/udp

    # firewall-cmd --zone=public --add-port=662/tcp --add-port=662/udp \
    --add-port=32803/tcp --add-port=32769/udp \ --add-port=111/tcp --add-port=111/udp --permanent 


Execute the following steps on the client machine:

    Edit '/etc/sysconfig/nfs' using following commands:

    # sed -i '/STATD_PORT/s/^#//' /etc/sysconfig/nfs


    Restart the services:
    For Red Hat Enterprise Linux 6:

    # service nfslock restart
    # service nfs restart

    For Red Hat Enterprise Linux 7:

    # systemctl restart nfs-config
    # systemctl restart rpc-statd
    # systemctl restart nfs-mountd
    # systemctl restart nfslock




Suggestions for improvement: 

Additional information:

Comment 2 Manisha Saini 2017-02-08 08:47:10 UTC
Document URL: 
Under 7.2. NFS ,Create a separate section for GNFS Client 


Note:

Port-mapper port is only need to configure for GNFS Client.
For Ganesha-Client,Port-mapper port is not require to open in firewalld

Comment 4 surabhi 2017-02-27 04:50:18 UTC
This is a valid issue where w ehave only mentione dthe firewalld ports information in ganesha section and not in gNFS section. SO either we should make it global in the main nfs section or repeat the steps for gNFS.

Comment 8 Chandrakanth Pai 2018-08-17 11:21:05 UTC
Added a new section "6.2.2.1.2. Port and Firewall Information for Gluster NFS"


Link to verify: https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html-single/administration_guide/#port_and_firewall_info_for_gnfs

Comment 9 Manisha Saini 2018-08-22 10:55:45 UTC
Changes looks good to me.

Moving this BZ to verified state.


Note You need to log in before you can comment on or make changes to this bug.